curl --request POST \
--url https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/readers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"opt_in_confirmed": true,
"scenario_fields": {},
"common_fields": {},
"has_step_immediately": true,
"has_step_scheduled": true,
"has_reminder": true,
"allow_duplicates": true
}
'import requests
url = "https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/readers"
payload = {
"opt_in_confirmed": True,
"scenario_fields": {},
"common_fields": {},
"has_step_immediately": True,
"has_step_scheduled": True,
"has_reminder": True,
"allow_duplicates": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
opt_in_confirmed: true,
scenario_fields: {},
common_fields: {},
has_step_immediately: true,
has_step_scheduled: true,
has_reminder: true,
allow_duplicates: true
})
};
fetch('https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/readers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"common_reader_id": "<string>",
"scenario_id": "<string>",
"ip": "<string>",
"line_display_name": "<string>",
"line_picture_url": "<string>",
"line_friend_id": "<string>",
"base_date": "<string>",
"is_blocked": true,
"is_line_blocked": true,
"is_mail_error": true,
"is_sms_blocked": true,
"block_datetime": "<string>",
"partner": {
"project_name": "<string>",
"name": "<string>",
"reward": 123
},
"has_step_scheduled": true,
"has_reminder": true,
"message_tracking_id": "<string>",
"message_tracking_name": "<string>",
"funnel_tracking_id": "<string>",
"funnel_tracking_name": "<string>",
"referrer": "<string>",
"labels": [
{
"id": "<string>",
"name": "<string>",
"assigned_at": "<string>"
}
],
"scenario_fields": {},
"common_fields": {},
"memo": "<string>",
"created_at": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "認証に失敗しました"
}
}{
"error": {
"code": "not_found",
"message": "リソースが見つかりません"
}
}{
"error": {
"code": "validation_error",
"message": "バリデーションエラーが発生しました"
}
}{
"error": {
"code": "monthly_limit_exceeded",
"message": "月間の作成上限に達しました",
"details": {
"resource_type": "reader",
"retry_after": "2026-06-20 00:00:00"
}
}
}読者作成
プレビュー機能。仕様は今後変更される可能性があります。 指定シナリオに読者を1件登録します。オプトインを取得済みのアドレスのみ登録してください。
読者項目は scenario_fields(シナリオ固有。メールアドレスは scenario_fields.mail に指定)と common_fields(全シナリオ共通)の2グループで指定します。
メール/メール・LINE併用アカウントでは mail が必須です。各グループのキーは項目名(置き換え文字名)で、置き換え文字一覧の field_group で各項目がどちらのグループかを確認できます。
このエンドポイントはバーストが発生するため分間レート制限(60回/分)の対象外で、独自の時間/月間上限で制御されます。
POST
https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/readers
Authorizations
APIキーをBearerトークンとして指定
Body
オプトイン取得済みの確認(true のみ受付・必須)。オプトインを取得済みのアドレスのみ登録すること
シナリオ固有の読者項目(キー=項目名、値=文字列)。メールアドレスはここに指定(scenario_fields.mail)。
mail はメール/メール・LINE併用アカウントでは必須で、RFC・DNS検証あり(最大255文字)。
全シナリオ共通の読者項目(キー=項目名、値=文字列)
登録直後のステップ配信の対象にする(デフォルトfalse。作成時のみ指定可能)
ステップ配信の対象にする(デフォルトfalse)
リマインダ配信の対象にする(デフォルトfalse)
重複登録を許可する(デフォルトfalse)。falseのとき、同一シナリオ内に配信解除されていない同一メールアドレスの読者が既に存在すると422になります
Response
作成された読者
読者の詳細情報。読者項目はトップレベルではなく scenario_fields(シナリオ固有)/ common_fields(全シナリオ共通)の2グループで返る。トップレベルはシステム情報のみ。
Show child attributes
Show child attributes